Home

Container Tracking API

Searates Adapter

Container Tracking API enables users to identify the current location and movement status of a container anywhere in the world in real time. To retrieve tracking information, simply provide one of the following identifiers:

  • Bill of Lading (B/L) number
  • Container number
  • Booking number

The API returns the latest available container position, shipment milestones, route details, and transportation status across the global logistics network.

OpenAPI Specification

Get started with your API integration in just a few minutes. The OpenAPI specification provides a complete overview of all available endpoints, request parameters, authentication methods, and response formats, allowing you to easily explore, test, and interact with the API.

General information

Container Tracking API is organized around REST.
The API uses predictable resource-based URLs, supports form-encoded request payloads, returns responses in JSON format, and relies on standard HTTP methods, status codes, and authentication mechanisms.

API endpoint#

1https://api.qubictron.com/tracking/v1

All endpoints are only accessible via HTTPS and are located at api.qubictron.com

Tracking by any number

get/ocean/adapter-sr

Get tracking information by Container number, Bill of Lading or Booking number.

Headers

Content-Typeapplication/json

Query Parameters
  • numberREQUIREDstring

    Container number, Bill of Lading or Booking number.

    For certain sealines, tracking is supported using a combined number in the format Bill of Lading Number/Container Number or Booking Number/Container Number (e.g., BL12345678/ABCU1234567 or BK12345678/ABCU1234567).

  • sealineOptionalstring

    Standard Carrier Alpha Code (SCAC). A list of supported lines can be obtained from the following API - see GET /ocean/carriers

    If this parameter is empty or equal to auto or not represented at all in the query, we will try to determine the shipping line automatically.

    Default:auto

  • typeOptionalstring

    Type of shipment number

    CT - Container number

    BL - Bill of lading number

    BK - Booking number

    If this parameter will be empty or not presented at all in the query, we will try to determine the type of shipment number.

    Allowed values:CTBLBK

  • force_updateOptionalboolean

    Obtaining data directly from the shipping line or from a cache with minimal retention time. If this parameter is set to true, the execution time of the request may be longer!

    Default:false

  • routeOptionalboolean

    If you need detailed route data, then set this parameter to true. If this parameter is set to true, the execution time of the request may be longer!

    Default:false

  • aisOptionalboolean

    If you need AIS data by vessel - set this parameter to true. This parameter is taken into account only when the "route" parameter in the query parameters is true. If this parameter is set to true, the execution time of the request may be longer!

    Default:false

Response example
1{
2  "status": "success",
3  "message": "OK",
4  "data": {
5    "metadata": {
6      "type": "BL",
7      "number": "HKA2573372",
8      "sealine": "CMDU",
9      "sealine_name": "CMA CGM",
10      "status": "IN_TRANSIT",
11      "is_status_from_sealine": false,
12      "from_cache": true,
13      "updated_at": "2025-10-31 09:00:25",
14      "cache_expires": "2025-11-01 09:00:25"
15    },
16    "locations": [
17      {
18        "id": 1,
19        "name": "San Antonio",
20        "state": "Region de Valparaiso",
21        "country": "Chile",
22        "country_code": "CL",
23        "locode": "CLSAI",
24        "lat": -33.59473,
25        "lng": -71.60746,
26        "timezone": "America/Santiago"
27      },
28      {
29        "id": 2,
30        "name": "Shanghai",
31        "state": "Shanghai Shi",
32        "country": "China",
33        "country_code": "CN",
34        "locode": "CNSHG",
35        "lat": 31.366365,
36        "lng": 121.61475,
37        "timezone": "Asia/Shanghai"
38      },
39      {
40        "id": 3,
41        "name": "Shekou",
42        "state": "Guangdong Sheng",
43        "country": "China",
44        "country_code": "CN",
45        "locode": "CNSHK",
46        "lat": 22.49359,
47        "lng": 113.9156,
48        "timezone": "Asia/Shanghai"
49      }
50    ],
51    "facilities": [
52      {
53        "id": 1,
54        "name": "Mawan Container Terminal",
55        "country_code": "CN",
56        "locode": "CNSHK",
57        "bic_code": null,
58        "smdg_code": "MWT",
59        "lat": null,
60        "lng": null
61      },
62      {
63        "id": 2,
64        "name": "YANGSHAN DEEP WATER PORT PHASE1 TER",
65        "country_code": "CN",
66        "locode": "CNSGH",
67        "bic_code": null,
68        "smdg_code": null,
69        "lat": null,
70        "lng": null
71      },
72      {
73        "id": 3,
74        "name": "PUERTO CENTRAL TERMINAL",
75        "country_code": "CL",
76        "locode": "CLSAI",
77        "bic_code": null,
78        "smdg_code": null,
79        "lat": null,
80        "lng": null
81      }
82    ],
83    "route": {
84      "prepol": {
85        "location": 3,
86        "date": "2025-09-13 01:01:00",
87        "actual": true
88      },
89      "pol": {
90        "location": 3,
91        "date": "2025-09-30 03:32:00",
92        "actual": true
93      },
94      "pod": {
95        "location": 1,
96        "date": "2025-10-31 23:00:00",
97        "actual": false,
98        "predictive_eta": null
99      },
100      "postpod": {
101        "location": null,
102        "date": null,
103        "actual": null
104      }
105    },
106    "vessels": [
107      {
108        "id": 1,
109        "name": "CMA CGM SAMSON",
110        "imo": 9436379,
111        "call_sign": "9HA2907",
112        "mmsi": 256687000,
113        "flag": "MT"
114      },
115      {
116        "id": 2,
117        "name": "CMA CGM MAUI",
118        "imo": 9938157,
119        "call_sign": "FMYR",
120        "mmsi": 228459800,
121        "flag": "FR"
122      }
123    ],
124    "containers": [
125      {
126        "number": "ECMU7336714",
127        "iso_code": "45G1",
128        "size_type": "40' High Cube Dry",
129        "status": "IN_TRANSIT",
130        "is_status_from_sealine": false,
131        "events_mirrored": false,
132        "events": [
133          {
134            "order_id": 1,
135            "location": 3,
136            "facility": 1,
137            "description": "Empty Picked-up at Depot",
138            "event_type": "EQUIPMENT",
139            "event_code": "PICK",
140            "status": "CPS",
141            "date": "2025-09-13 01:29:00",
142            "actual": true,
143            "is_date_from_sealine": true,
144            "is_additional_event": false,
145            "type": "land",
146            "transport_type": "TRUCK",
147            "vessel": null,
148            "voyage": null
149          },
150          {
151            "order_id": 2,
152            "location": 3,
153            "facility": 1,
154            "description": "Gate in at Port terminal",
155            "event_type": "EQUIPMENT",
156            "event_code": "GTIN",
157            "status": "CGI",
158            "date": "2025-09-14 06:14:00",
159            "actual": true,
160            "is_date_from_sealine": true,
161            "is_additional_event": false,
162            "type": "land",
163            "transport_type": "TRUCK",
164            "vessel": null,
165            "voyage": null
166          },
167          {
168            "order_id": 3,
169            "location": 3,
170            "facility": 1,
171            "description": "Loaded on board",
172            "event_type": "EQUIPMENT",
173            "event_code": "LOAD",
174            "status": "CLL",
175            "date": "2025-09-28 23:48:00",
176            "actual": true,
177            "is_date_from_sealine": true,
178            "is_additional_event": false,
179            "type": "sea",
180            "transport_type": "VESSEL",
181            "vessel": 2,
182            "voyage": "1WU02E2MA"
183          },
184          {
185            "order_id": 4,
186            "location": 3,
187            "facility": 1,
188            "description": "Vessel Departure",
189            "event_type": "TRANSPORT",
190            "event_code": "DEPA",
191            "status": "VDL",
192            "date": "2025-09-30 03:32:00",
193            "actual": true,
194            "is_date_from_sealine": true,
195            "is_additional_event": false,
196            "type": "sea",
197            "transport_type": "VESSEL",
198            "vessel": 2,
199            "voyage": "1WU02E2MA"
200          },
201          {
202            "order_id": 5,
203            "location": 2,
204            "facility": 2,
205            "description": "Vessel Arrival",
206            "event_type": "TRANSPORT",
207            "event_code": "ARRI",
208            "status": "VAT",
209            "date": "2025-10-06 00:32:00",
210            "actual": true,
211            "is_date_from_sealine": true,
212            "is_additional_event": false,
213            "type": "sea",
214            "transport_type": "VESSEL",
215            "vessel": 2,
216            "voyage": "1WU02E2MA"
217          },
218          {
219            "order_id": 6,
220            "location": 2,
221            "facility": 2,
222            "description": "Discharged in transhipment",
223            "event_type": "EQUIPMENT",
224            "event_code": "DISC",
225            "status": "CDT",
226            "date": "2025-10-06 07:34:00",
227            "actual": true,
228            "is_date_from_sealine": true,
229            "is_additional_event": false,
230            "type": "sea",
231            "transport_type": "VESSEL",
232            "vessel": 2,
233            "voyage": "1WU02E2MA"
234          },
235          {
236            "order_id": 7,
237            "location": 2,
238            "facility": 2,
239            "description": "Loaded on board",
240            "event_type": "EQUIPMENT",
241            "event_code": "LOAD",
242            "status": "CLT",
243            "date": "2025-10-07 23:52:00",
244            "actual": true,
245            "is_date_from_sealine": true,
246            "is_additional_event": false,
247            "type": "sea",
248            "transport_type": "VESSEL",
249            "vessel": 1,
250            "voyage": "1MH08E1MA"
251          },
252          {
253            "order_id": 8,
254            "location": 2,
255            "facility": 2,
256            "description": "Vessel Departure",
257            "event_type": "TRANSPORT",
258            "event_code": "DEPA",
259            "status": "VDT",
260            "date": "2025-10-08 04:30:00",
261            "actual": true,
262            "is_date_from_sealine": true,
263            "is_additional_event": false,
264            "type": "sea",
265            "transport_type": "VESSEL",
266            "vessel": 1,
267            "voyage": "1MH08E1MA"
268          },
269          {
270            "order_id": 9,
271            "location": 1,
272            "facility": 3,
273            "description": "Vessel Arrival",
274            "event_type": "TRANSPORT",
275            "event_code": "ARRI",
276            "status": "VAD",
277            "date": "2025-10-31 23:00:00",
278            "actual": false,
279            "is_date_from_sealine": true,
280            "is_additional_event": false,
281            "type": "sea",
282            "transport_type": "VESSEL",
283            "vessel": 1,
284            "voyage": "1MH09W1MA"
285          }
286        ]
287      },
288      {
289        "number": "CMAU8661125",
290        "iso_code": "45G1",
291        "size_type": "40' High Cube Dry",
292        "status": "IN_TRANSIT",
293        "is_status_from_sealine": false,
294        "events_mirrored": false,
295        "events": [
296          {
297            "order_id": 1,
298            "location": 3,
299            "facility": 1,
300            "description": "Empty Picked-up at Depot",
301            "event_type": "EQUIPMENT",
302            "event_code": "PICK",
303            "status": "CPS",
304            "date": "2025-09-13 01:01:00",
305            "actual": true,
306            "is_date_from_sealine": true,
307            "is_additional_event": false,
308            "type": "land",
309            "transport_type": "TRUCK",
310            "vessel": null,
311            "voyage": null
312          },
313          {
314            "order_id": 2,
315            "location": 3,
316            "facility": 1,
317            "description": "Gate in at Port terminal",
318            "event_type": "EQUIPMENT",
319            "event_code": "GTIN",
320            "status": "CGI",
321            "date": "2025-09-14 07:53:00",
322            "actual": true,
323            "is_date_from_sealine": true,
324            "is_additional_event": false,
325            "type": "land",
326            "transport_type": "TRUCK",
327            "vessel": null,
328            "voyage": null
329          },
330          {
331            "order_id": 3,
332            "location": 3,
333            "facility": 1,
334            "description": "Loaded on board",
335            "event_type": "EQUIPMENT",
336            "event_code": "LOAD",
337            "status": "CLL",
338            "date": "2025-09-29 01:21:00",
339            "actual": true,
340            "is_date_from_sealine": true,
341            "is_additional_event": false,
342            "type": "sea",
343            "transport_type": "VESSEL",
344            "vessel": 2,
345            "voyage": "1WU02E2MA"
346          },
347          {
348            "order_id": 4,
349            "location": 3,
350            "facility": 1,
351            "description": "Vessel Departure",
352            "event_type": "TRANSPORT",
353            "event_code": "DEPA",
354            "status": "VDL",
355            "date": "2025-09-30 03:32:00",
356            "actual": true,
357            "is_date_from_sealine": true,
358            "is_additional_event": false,
359            "type": "sea",
360            "transport_type": "VESSEL",
361            "vessel": 2,
362            "voyage": "1WU02E2MA"
363          },
364          {
365            "order_id": 5,
366            "location": 2,
367            "facility": 2,
368            "description": "Vessel Arrival",
369            "event_type": "TRANSPORT",
370            "event_code": "ARRI",
371            "status": "VAT",
372            "date": "2025-10-06 00:32:00",
373            "actual": true,
374            "is_date_from_sealine": true,
375            "is_additional_event": false,
376            "type": "sea",
377            "transport_type": "VESSEL",
378            "vessel": 2,
379            "voyage": "1WU02E2MA"
380          },
381          {
382            "order_id": 6,
383            "location": 2,
384            "facility": 2,
385            "description": "Discharged in transhipment",
386            "event_type": "EQUIPMENT",
387            "event_code": "DISC",
388            "status": "CDT",
389            "date": "2025-10-06 08:12:00",
390            "actual": true,
391            "is_date_from_sealine": true,
392            "is_additional_event": false,
393            "type": "sea",
394            "transport_type": "VESSEL",
395            "vessel": 2,
396            "voyage": "1WU02E2MA"
397          },
398          {
399            "order_id": 7,
400            "location": 2,
401            "facility": 2,
402            "description": "Loaded on board",
403            "event_type": "EQUIPMENT",
404            "event_code": "LOAD",
405            "status": "CLT",
406            "date": "2025-10-08 00:25:00",
407            "actual": true,
408            "is_date_from_sealine": true,
409            "is_additional_event": false,
410            "type": "sea",
411            "transport_type": "VESSEL",
412            "vessel": 1,
413            "voyage": "1MH08E1MA"
414          },
415          {
416            "order_id": 8,
417            "location": 2,
418            "facility": 2,
419            "description": "Vessel Departure",
420            "event_type": "TRANSPORT",
421            "event_code": "DEPA",
422            "status": "VDT",
423            "date": "2025-10-08 04:30:00",
424            "actual": true,
425            "is_date_from_sealine": true,
426            "is_additional_event": false,
427            "type": "sea",
428            "transport_type": "VESSEL",
429            "vessel": 1,
430            "voyage": "1MH08E1MA"
431          },
432          {
433            "order_id": 9,
434            "location": 1,
435            "facility": 3,
436            "description": "Vessel Arrival",
437            "event_type": "TRANSPORT",
438            "event_code": "ARRI",
439            "status": "VAD",
440            "date": "2025-10-31 23:00:00",
441            "actual": false,
442            "is_date_from_sealine": true,
443            "is_additional_event": false,
444            "type": "sea",
445            "transport_type": "VESSEL",
446            "vessel": 1,
447            "voyage": "1MH09W1MA"
448          }
449        ]
450      }
451    ],
452    "route_data": {
453      "route": [
454        {
455          "path": [
456            [
457              22.4936,
458              113.9156
459            ],
460            [
461              21.7412,
462              114.2507
463            ],
464            [
465              21.7292,
466              114.2594
467            ],
468            [
469              21.7249,
470              114.271
471            ],
472            [
473              21.7282,
474              114.2856
475            ],
476            [
477              22.7414,
478              116.5605
479            ],
480            [
481              22.7478,
482              116.5752
483            ],
484            [
485              22.7538,
486              116.59
487            ],
488            [
489              22.7594,
490              116.605
491            ],
492            [
493              23.0111,
494              117.2917
495            ],
496            [
497              23.0164,
498              117.3044
499            ],
500            [
501              23.0228,
502              117.3166
503            ],
504            [
505              23.0303,
506              117.3281
507            ],
508            [
509              23.3945,
510              117.8416
511            ],
512            [
513              23.4027,
514              117.8528
515            ],
516            [
517              23.411,
518              117.8639
519            ],
520            [
521              23.4196,
522              117.8747
523            ],
524            [
525              24.799,
526              119.5881
527            ],
528            [
529              24.8087,
530              119.5997
531            ],
532            [
533              24.8188,
534              119.611
535            ],
536            [
537              24.8293,
538              119.622
539            ],
540            [
541              25.3135,
542              120.1132
543            ],
544            [
545              25.3245,
546              120.1236
547            ],
548            [
549              25.3361,
550              120.1332
551            ],
552            [
553              25.3484,
554              120.1421
555            ],
556            [
557              28.7869,
558              122.4699
559            ],
560            [
561              28.7994,
562              122.478
563            ],
564            [
565              28.8121,
566              122.4857
567            ],
568            [
569              28.8252,
570              122.4928
571            ],
572            [
573              30.0646,
574              123.1441
575            ],
576            [
577              30.0779,
578              123.1508
579            ],
580            [
581              30.0914,
582              123.157
583            ],
584            [
585              30.1052,
586              123.1627
587            ],
588            [
589              30.6337,
590              123.3708
591            ],
592            [
593              30.6518,
594              123.3757
595            ],
596            [
597              30.6702,
598              123.3763
599            ],
600            [
601              30.6886,
602              123.3725
603            ],
604            [
605              30.8578,
606              123.3191
607            ],
608            [
609              30.8752,
610              123.3115
611            ],
612            [
613              30.8903,
614              123.3007
615            ],
616            [
617              30.9031,
618              123.2868
619            ],
620            [
621              31.5163,
622              122.4726
623            ],
624            [
625              31.531,
626              122.4567
627            ],
628            [
629              31.548,
630              122.444
631            ],
632            [
633              31.5675,
634              122.4346
635            ],
636            [
637              31.6376,
638              122.4082
639            ],
640            [
641              31.6499,
642              122.4003
643            ],
644            [
645              31.6548,
646              122.3891
647            ],
648            [
649              31.6524,
650              122.3746
651            ],
652            [
653              31.3664,
654              121.6148
655            ]
656          ],
657          "type": "SEA",
658          "transport_type": "VESSEL",
659          "from": {
660            "name": "Shekou",
661            "state": "Guangdong Sheng",
662            "country": "China",
663            "country_code": "CN",
664            "locode": "CNSHK",
665            "lat": 22.49359,
666            "lng": 113.9156,
667            "timezone": "Asia/Shanghai"
668          },
669          "to": {
670            "name": "Shanghai",
671            "state": "Shanghai Shi",
672            "country": "China",
673            "country_code": "CN",
674            "locode": "CNSHG",
675            "lat": 31.366365,
676            "lng": 121.61475,
677            "timezone": "Asia/Shanghai"
678          },
679          "vessel": {
680            "name": "CMA CGM MAUI",
681            "imo": 9938157,
682            "call_sign": "FMYR",
683            "mmsi": 228459800,
684            "flag": "FR"
685          }
686        },
687        {
688          "path": [
689            [
690              31.3664,
691              121.6148
692            ],
693            [
694              31.6524,
695              122.3746
696            ],
697            [
698              31.6548,
699              122.3891
700            ],
701            [
702              31.6499,
703              122.4003
704            ],
705            [
706              31.6376,
707              122.4082
708            ],
709            [
710              31.5626,
711              122.4364
712            ],
713            [
714              31.5466,
715              122.4447
716            ],
717            [
718              31.5335,
719              122.4562
720            ],
721            [
722              31.5234,
723              122.471
724            ],
725            [
726              28.2173,
727              128.8401
728            ],
729            [
730              28.2081,
731              128.8563
732            ],
733            [
734              28.1979,
735              128.8717
736            ],
737            [
738              28.1865,
739              128.8864
740            ],
741            [
742              27.8566,
743              129.2807
744            ],
745            [
746              27.8424,
747              129.2996
748            ],
749            [
750              27.8304,
751              129.3198
752            ],
753            [
754              27.8206,
755              129.3413
756            ],
757            [
758              -31.2383,
759              -80.0207
760            ],
761            [
762              -32.43899523685321,
763              -76.01665022729425
764            ],
765            [
766              -33.6411,
767              -72.0079
768            ],
769            [
770              -33.6423,
771              -71.9933
772            ],
773            [
774              -33.6356,
775              -71.9845
776            ],
777            [
778              -33.621,
779              -71.9815
780            ],
781            [
782              -33.6159,
783              -71.9815
784            ],
785            [
786              -33.6032,
787              -71.9787
788            ],
789            [
790              -33.5956,
791              -71.9709
792            ],
793            [
794              -33.5931,
795              -71.958
796            ],
797            [
798              -33.5947,
799              -71.6075
800            ]
801          ],
802          "type": "SEA",
803          "transport_type": "VESSEL",
804          "from": {
805            "name": "Shanghai",
806            "state": "Shanghai Shi",
807            "country": "China",
808            "country_code": "CN",
809            "locode": "CNSHG",
810            "lat": 31.366365,
811            "lng": 121.61475,
812            "timezone": "Asia/Shanghai"
813          },
814          "to": {
815            "name": "San Antonio",
816            "state": "Region de Valparaiso",
817            "country": "Chile",
818            "country_code": "CL",
819            "locode": "CLSAI",
820            "lat": -33.59473,
821            "lng": -71.60746,
822            "timezone": "America/Santiago"
823          },
824          "vessel": {
825            "name": "CMA CGM SAMSON",
826            "imo": 9436379,
827            "call_sign": "9HA2907",
828            "mmsi": 256687000,
829            "flag": "MT"
830          }
831        }
832      ],
833      "pin": [
834        -32.43899523685321,
835        -76.01665022729425
836      ],
837      "ais": {
838        "status": "OK",
839        "data": {
840          "last_event": {
841            "description": "Vessel Departure",
842            "date": "2025-10-08 04:30:00",
843            "voyage": "1MH08E1MA"
844          },
845          "discharge_port": {
846            "name": "San Antonio",
847            "country_code": "CL",
848            "code": "SAI",
849            "date": "2025-10-31 23:00:00",
850            "date_label": "ETA"
851          },
852          "vessel": {
853            "name": "CMA CGM SAMSON",
854            "imo": 9436379,
855            "call_sign": "9HA2907",
856            "mmsi": 256687000,
857            "flag": "MT"
858          },
859          "last_vessel_position": {
860            "lat": -31.238251,
861            "lng": -80.020744,
862            "updated_at": "2025-10-30 21:57:00"
863          },
864          "departure_port": {
865            "country_code": "CN",
866            "code": "SHG",
867            "date": "2025-10-07 21:18:00",
868            "date_label": "ATD"
869          },
870          "arrival_port": {
871            "country_code": "CL",
872            "code": "SAI",
873            "date": "2025-11-01 00:00:00",
874            "date_label": "ETA"
875          },
876          "updated_at": "2025-10-31 09:51:25"
877        }
878      }
879    }
880  }
881}

Qubictron 2026—Contact us